Skip to navigation

Request a feedback upload URL

View as MarkdownOpen in Claude

Request a temporary, pre-signed URL to upload a feedback file for your completed studies.

This is the first step of a two-step upload process:

  1. Call this endpoint to receive a pre-signed upload_url.
  2. Upload your file directly to that URL with an HTTP PUT request before it expires.

Supported file formats are CSV, XLS, XLSX, JSON, TXT and PDF. The maximum file size is 5GB. Please check the supported file formats section for more details.

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

filenamestringRequired

The name of the file you want to upload, including its extension (e.g. participant_feedback.csv).

Query parameters

workspace_idstringRequired
The ID of the Prolific workspace the feedback belongs to.

Response

Pre-signed upload URL generated successfully.

upload_urlstringOptional

The temporary, pre-signed URL to upload your file to with an HTTP PUT request.

http_methodenumOptional

The HTTP method to use when uploading to upload_url.

Allowed values:
expires_atdatetimeOptional

The time at which the pre-signed upload_url expires.

Errors

4XX
Client Request Error